Bio::MAGETAB::LabeledExtract(3)

NAME
Bio::MAGETAB::LabeledExtract - MAGE-TAB labeled extract class

SYNOPSIS
 use Bio::MAGETAB::LabeledExtract;

DESCRIPTION
This class is used to store information on labeled extracts in MAGE-TAB. See the Material class for superclass methods.

ATTRIBUTES

label (optional)
    The kind of label used (e.g. Cy3, biotin). This is marked as optional since it is not formally required by the MAGE-TAB specification (data type: Bio::MAGETAB::ControlledTerm).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::Material

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).